% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gl.save.r
\name{gl.save}
\alias{gl.save}
\title{Saves an object in compressed binary format for later rapid retrieval}
\usage{
gl.save(x, file, verbose = NULL)
}
\arguments{
\item{x}{Name of the genlight object containing SNP genotypes [required].}

\item{file}{Name of the file to receive the binary version of the object
[required].}

\item{verbose}{Verbosity: 0, silent or fatal errors; 1, begin and end; 2,
progress log; 3, progress and results summary; 5, full report
[default 2 or as specified using gl.set.verbosity].}
}
\value{
The input object
}
\description{
This is a wrapper for saveRDS().
The script saves the object in binary form to the current workspace and
returns the input gl object.
}
\examples{
gl.save(testset.gl,file.path(tempdir(),'testset.rds'))
}
\seealso{
\code{\link{gl.load}}

Other io: 
\code{\link{gl.load}()},
\code{\link{gl.read.csv}()},
\code{\link{gl.read.dart}()},
\code{\link{gl.read.fasta}()},
\code{\link{gl.read.silicodart}()},
\code{\link{gl.read.vcf}()},
\code{\link{gl.write.csv}()},
\code{\link{utils.read.dart}()}
}
\author{
Custodian: Arthur Georges -- Post to
\url{https://groups.google.com/d/forum/dartr}
}
\concept{io}
