% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gl2demerelate.r
\name{gl2demerelate}
\alias{gl2demerelate}
\title{Creates a dataframe suitable for input to package \{Demerelate\} from a
genlight \{adegenet\} object}
\usage{
gl2demerelate(x, verbose = NULL)
}
\arguments{
\item{x}{Name of the genlight object containing the SNP data [required].}

\item{verbose}{Verbosity: 0, silent or fatal errors; 1, begin and end; 2,
progress log; 3, progress and results summary; 5, full report
[default 2 or as specified using gl.set.verbosity]}
}
\value{
A dataframe suitable as input to package \{Demerelate\}
}
\description{
Creates a dataframe suitable for input to package \{Demerelate\} from a
genlight \{adegenet\} object
}
\examples{
df <- gl2demerelate(testset.gl)

}
\seealso{
Other linker: 
\code{\link{gl2bayesAss}()},
\code{\link{gl2bayescan}()},
\code{\link{gl2bpp}()},
\code{\link{gl2eigenstrat}()},
\code{\link{gl2faststructure}()},
\code{\link{gl2gds}()},
\code{\link{gl2genalex}()},
\code{\link{gl2genepop}()},
\code{\link{gl2geno}()},
\code{\link{gl2gi}()},
\code{\link{gl2hiphop}()},
\code{\link{gl2phylip}()},
\code{\link{gl2plink}()},
\code{\link{gl2related}()},
\code{\link{gl2sa}()},
\code{\link{gl2structure}()},
\code{\link{gl2treemix}()},
\code{\link{gl2vcf}()}
}
\author{
Custodian: Luis Mijangos (Post to
\url{https://groups.google.com/d/forum/dartr})
}
\concept{linker}
