% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gl2sa.r
\name{gl2sa}
\alias{gl2sa}
\title{Converts genlight objects to the format used in the SNPassoc package}
\usage{
gl2sa(x, installed = FALSE, verbose = NULL)
}
\arguments{
\item{x}{Name of the genlight object containing the SNP data [required].}

\item{installed}{Switch to run the function once SNPassoc package i
s installed [default FALSE].#' @param verbose Verbosity: 0, silent or fatal errors; 1, begin and end; 2,
progress log; 3, progress and results summary; 5, full report
[default 2 or as specified using gl.set.verbosity].}

\item{verbose}{Verbosity: 0, silent or fatal errors; 1, begin and end; 2,
progress log; 3, progress and results summary; 5, full report
[default 2 or as specified using gl.set.verbosity].}
}
\value{
Returns an object of class 'snp' to be used with SNPassoc.
}
\description{
This function exports a genlight object into a SNPassoc object. See package
SNPassoc for details. This function needs package SNPassoc. At the time of
writing (August 2020) the package was no longer available from CRAN. To
install the package check their github repository.
\url{https://github.com/isglobal-brge/SNPassoc} and/or use
\code{install_github('isglobal-brge/SNPassoc')} to install the function and
uncomment the function code.
}
\references{
Gonzalez, J.R., Armengol, L., Sol?, X., Guin?, E., Mercader, J.M., Estivill,
X. and Moreno, V. (2017). SNPassoc: an R package to perform whole genome
association studies. Bioinformatics 23:654-655.
}
\seealso{
Other linker: 
\code{\link{gl2bayesAss}()},
\code{\link{gl2bayescan}()},
\code{\link{gl2bpp}()},
\code{\link{gl2demerelate}()},
\code{\link{gl2eigenstrat}()},
\code{\link{gl2faststructure}()},
\code{\link{gl2gds}()},
\code{\link{gl2genalex}()},
\code{\link{gl2genepop}()},
\code{\link{gl2geno}()},
\code{\link{gl2gi}()},
\code{\link{gl2hiphop}()},
\code{\link{gl2phylip}()},
\code{\link{gl2plink}()},
\code{\link{gl2related}()},
\code{\link{gl2structure}()},
\code{\link{gl2treemix}()},
\code{\link{gl2vcf}()}
}
\author{
Bernd Guber (Post to \url{https://groups.google.com/d/forum/dartr})
}
\concept{linker}
