% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/theme_dartR.r
\name{theme_dartR}
\alias{theme_dartR}
\title{Default theme for dartR plots}
\usage{
theme_dartR(
  base_size = 11,
  base_family = "",
  base_line_size = base_size/22,
  base_rect_size = base_size/22
)
}
\arguments{
\item{base_size}{base font size, given in pts.}

\item{base_family}{base font family}

\item{base_line_size}{base size for line elements}

\item{base_rect_size}{base size for rect elements}
}
\value{
a the standard dartR theme to be used in ggplots
}
\description{
This is the theme used as default for dartR plots.
This function controls all non-data display elements in the plots.
}
\examples{
ggplot(data.frame(dummy=rnorm(1000)),aes(dummy)) +
geom_histogram(binwidth=0.1) + theme_dartR()

}
\seealso{
Other environment: 
\code{\link{gl.check.verbosity}()},
\code{\link{gl.check.wd}()},
\code{\link{gl.print.history}()},
\code{\link{gl.set.wd}()}
}
\concept{environment}
