% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.het.pop.r
\name{utils.het.pop}
\alias{utils.het.pop}
\alias{ind.count}
\title{An internal function that calculates expected mean heterozygosity per population}
\usage{
ind.count(x)
}
\arguments{
\item{x}{A genlight object containing the SNP genotypes [required].}
}
\value{
A vector with the mean expected heterozygosity for each population
}
\description{
An internal function that calculates expected mean heterozygosity per population
}
\seealso{
Other utilities: 
\code{\link{gl.alf}()},
\code{\link{utils.check.datatype}()},
\code{\link{utils.dart2genlight}()},
\code{\link{utils.dist.binary}()},
\code{\link{utils.flag.start}()},
\code{\link{utils.hamming}()},
\code{\link{utils.impute}},
\code{\link{utils.is.fixed}()},
\code{\link{utils.jackknife}()},
\code{\link{utils.n.var.invariant}()},
\code{\link{utils.plot.save}()},
\code{\link{utils.read.fasta}()},
\code{\link{utils.read.ped}()},
\code{\link{utils.recalc.avgpic}()},
\code{\link{utils.recalc.callrate}()},
\code{\link{utils.recalc.freqhets}()},
\code{\link{utils.recalc.freqhomref}()},
\code{\link{utils.recalc.freqhomsnp}()},
\code{\link{utils.recalc.maf}()},
\code{\link{utils.reset.flags}()},
\code{\link{utils.transpose}()}
}
\author{
Custodian: Luis Mijangos (Post to \url{https://groups.google.com/d/forum/dartr})
}
\concept{utilities}
